//
//  AMBorder.m
//  DeskFun
//
//  Created by Andreas on 2005-02-03.
//  Copyright 2005 Andreas Mayer. All rights reserved.
//

#import "AMBorder.h"

AMBorder AMMakeBorder(float top, float bottom, float left, float right)
{
	return (AMBorder){top, bottom, left, right};
}

NSRect AMRectAddBorder(NSRect rect, AMBorder border)
{
	NSRect result = rect;
	result.origin.x -= border.left;
	result.origin.y -= border.bottom;
	result.size.width += (border.left+border.right);
	result.size.height += (border.top+border.bottom);
	return result;
}

NSRect AMRectRemoveBorder(NSRect rect, AMBorder border)
{
	NSRect result = rect;
	result.origin.x += border.left;
	result.origin.y += border.bottom;
	result.size.width -= (border.left+border.right);
	result.size.height -= (border.top+border.bottom);
	return result;
}