//
//  AMFloatingImage.h
//  AMGradientPanel
//
//  Created by Andreas on 13.01.10.
//  Copyright 2010 Andreas Mayer. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AMFloatingImage : NSWindow {
	NSPoint hotSpot;
	BOOL followCursor;
	NSTimer *trackingTimer;
}

@property (assign, nonatomic) NSPoint hotSpot;
@property (assign, nonatomic) BOOL followCursor;

- (id)initWithImage:(NSImage *)image hotSpot:(NSPoint)point;

- (void)moveToPoint:(NSPoint)point;


@end
